# RemCom

This tool will allow you to run batch commands to multiple servers and workstations.
You can put the hostname or ip address of each server in a file called hosts. Rem_Com will then iterate through
that file and execute the commands.


Here is an example of when can be done with rem_com at the moment

class Batch
  include Rem_Com

  def db(user, pass, hostfile, commands)
    execute(user, pass, hostfile, commands)

  end
end

host = File.open('hosts')
pass = 'password'
user = 'root'
commands = <<-eos
hostname
uptime
df -h
lvs
getfacl /
id
eos

server =  Batch.new
server.db(user, pass, host, commands)

## Installation

Add this line to your application's Gemfile:

    gem 'rem_com'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install rem_com

## Usage

TODO: Write usage instructions here

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
